---
search:
  tags:
    - Variants
    - GET
seo:
  description: >-
    Retrieves all prices… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/products/{product_id}/variants/{variant_id}/prices
    endpoint in the Management API.
sidebar:
  label: List variant prices by store group
  badge: GET
title: List variant prices by store group
type: openapi-operation
---
Retrieves all prices for a product variant grouped by store groups and their associated markets.

`GET /api/v1/{team_slug}/{app_slug}/products/{product_id}/variants/{variant_id}/prices`

**Responses**

- `200` — List of store groups with their associated prices and markets
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "created_at": "string",
      "id": "string",
      "name": "string",
      "prices": [
        {
          "amount_cents_with_tax": 0,
          "created_at": "string",
          "id": "string",
          "market": {
            "active": true,
            "country_codes": [
              "string"
            ],
            "created_at": "string",
            "currency_code": "string",
            "id": "string",
            "locale": "string",
            "name": "string",
            "slug": "string",
            "updated_at": "string"
          },
          "on_sale": true,
          "reference_price_with_tax": 0,
          "sale_end_timestamp": "string",
          "sale_price_with_tax": 0,
          "sale_start_timestamp": "string",
          "status": "active",
          "updated_at": "string"
        }
      ],
      "slug": "string",
      "store_type": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
